---
title: "Add custom history event"
url: "https://docs.signnow.com/docs/document/operations/add-document-custom-history-event"
type: "endpoint"
section: "document"
slug: "document/operations/add-document-custom-history-event"
method: "POST"
path: "/document/{document_id}/custom_history_event"
operation_id: "add-document-custom-history-event"
authorization: "bearer"
---

# Add custom history event

`POST /document/{document_id}/custom_history_event`

Allows third party developers to add custom events to the audit log. For example, if you are using a single SignNow account to make API calls but authenticating multiple people, use this call to add a record to the audit log for that specific document that references the authentication method.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_id` | string | Yes |  |

## Request Body

**Schema**

```json
{
  "type": "object",
  "properties": {
    "event_type": {
      "type": "string"
    },
    "client_timestamp": {
      "type": "integer"
    }
  }
}
```

**Example** (`application/json`)

```json
{
  "event_type": "test_event",
  "client_timestamp": 1460739202
}
```

## Responses

### 200

**Example** (`application/json`)

```json
{
  "status": "success"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/document/{document_id}/custom_history_event" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"event_type": "test_event", "client_timestamp": 1460739202}'
```

---
*Full reference: https://docs.signnow.com/docs/document/operations/add-document-custom-history-event*
